com.io7m.jstructural.annotated

## Class SAFormalItemNumber

- java.lang.Object
- - com.io7m.jstructural.annotated.SAFormalItemNumber

- All Implemented Interfaces:
    SASubsectionContentNumber, Comparable<SAFormalItemNumber>
  Direct Known Subclasses:
    SAFormalItemNumberPSF, SAFormalItemNumberPSSF, SAFormalItemNumberSF, SAFormalItemNumberSSF

      @Immutable
      public abstract class SAFormalItemNumber
      extends Object
      implements Comparable<SAFormalItemNumber>, SASubsectionContentNumber

  An abstract formal item number.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAFormalItemNumber()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract <T> T` | `formalItemNumberAccept(SAFormalItemNumberVisitor<T> v)` Accept a formal item number visitor.
    `abstract String` | `formalItemNumberFormat()`
    `abstract int` | `getFormalItem()`
    `<T> T` | `subsectionContentNumberAccept(SASubsectionContentNumberVisitor<T> v)` Accept a subsection content number visitor.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Constructor Detail

    - #### SAFormalItemNumber

          public SAFormalItemNumber()

  - ### Method Detail

    - #### formalItemNumberAccept

          public abstract <T> T formalItemNumberAccept(SAFormalItemNumberVisitor<T> v)
                                                throws Exception

      Accept a formal item number visitor.
      Type Parameters:
        `T` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor
      Throws:
        `Exception` - If the visitor raises an `Exception`

    - #### formalItemNumberFormat

          public abstract String formalItemNumberFormat()

      Returns:
        A human-readable string representing the formal item number (such as "1.2.3.4")

    - #### getFormalItem

          public abstract int getFormalItem()

      Returns:
        The formal item number

    - #### subsectionContentNumberAccept

          public final <T> T subsectionContentNumberAccept(SASubsectionContentNumberVisitor<T> v)
                                                    throws Exception

      Description copied from interface: `SASubsectionContentNumber`
      Accept a subsection content number visitor.
      Specified by:
        `subsectionContentNumberAccept` in interface `SASubsectionContentNumber`
      Type Parameters:
        `T` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor
      Throws:
        `Exception` - If the visitor raises an `Exception`

Copyright © 2015 <code@io7m.com> http://io7m.com